 Introduction

Easy File Sharing Web Server is a file sharing software that allows visitors to upload/download files easily through a Web Browser (IE, Mozilla, Netscape etc.). It can help you share files with your users, customers and partners. They can search for and download files from your computer or upload files from theirs. The files on your PC can be accessible from anywhere without special software. Easy File Sharing Web Server also provides a Bulletin Board System (Forum). It makes it easy for remote users to post messages and files to the forum. The Secure Edition adds support for SSL encryption that helps protect businesses against site spoofing and data corruption.


 Quick Start

Right after finishing the installation process, just double-click the Easy File Sharing Web Server icon to run the program, and then click the 'start' button to start the server. To exit Easy File Sharing Web Server, right click the tray icon and click the menu item "Exit".

By default, the web server will run on the port 80 and the ssl server will run on the port 443, if antoher service is running on these ports, you need to change the port number on the 'options' page and restart the server again.

If the server starts successfully, you can view the web page on the server by selecting the URL/SSL URL(or clicking the "Go" button) on the 'options' page. Tell this URL to your friends so they can browse and download/upload files by visiting the URL. If your computer is on a LAN or behind a router, the URL may be an internal IP, you must tell the Internet IP to your friend. To find the Internet IP of your computer, please visit: http://www.whatismyip.com/

For more information, please visit the following topics:

1.Options
2.Virtual Folders
3.Forums
4.User Account
5.Security
5.SSL Support


 Server Logs

All the access to Easy File Sharing Web Server will be listed in the 'Server logs' page, including IP Address, Time and Message. To clear the logs,right click the list box and click the menu item "Clear".

If you want to save the logs to file, just check the option 'save log to file' on 'options' page.


 Options

Port | The port number of web service, the default number is 80, if other program has already used the default port, you must choose another port number. such as 808.
SSL Port | The https port number of SSL Server, the default number is 443, if other program has already used the default port, you must choose another port number. such as 4433.
 | After changing the port number, you must click it to restart the Web Server/SSL Server.
URL | Tell this URL to your friends and colleagues, so they can browse and download/upload files by visiting the URL.
SSL URL | Tell this URL (https) to your friends and colleagues, so they can browse and download/upload files by visiting the URL securely. It enables secure transport of data to and from the web server to the client browser.
 | Click this button to visit the URL/SSL URL.
Launch Web Server at windows startup | If checked, this program will start automatically when Windows start.
Start minimized in systemtray | Hide main window when the program starts, you can access this program through tray icon.
Automatically activate server at start up | If checked, this program will automatically activate the web service at start up.
Automatically activate ssl server at start up | If checked, this program will automatically activate the ssl server at start up.
Enable guest to login | If checked, the server will enable guest to log in.
Enable guest to register a new account | If checked, the server will enable guest to register a new account.
Login to virtual folder by default | If checked, you will login to virtual folder page by default.
Allow users to upload files to forums | If checked, the user can upload files to forums if he has permission to upload file.
Disable forums | If checked, All the forums will be disabled and all the users cannot access the forums.
Save log to file | If checked, the server will save all the web logs to files.
 | Click this button to view the log files.
 | Set the SMTP option.
 | Change template
 | Run Easy File Sharing Web Server as a NT Service.


 SMTP Setup

If the user forget either his username, password or both, he may enter the email address on "Forget Password" page and the server will email the registration information to that address.

From | The mail address will appear in the From field of the outgoing mail.
Subject | The subject of the mail.
Body | The body of the mail, please do not modify the following words: %TONAME, %userid, %password, %FROMNAME.
Name | The server will attach this sender name when sending mail, it's convenient for recipient to identity the sender.
Server | The SMTP server address. Please refer to the help document of your mail provider to obtain the correct server address.
Port | The SMTP server port number. The default is 25.
Need AUTHENTICATION | If the SMTP server you choose request SMTP authentication, please tick this check box and type the Account name and Password in the below fields.
Account | The mail account name, which is the characters prior to ¡°@¡±in the E-mail address.
Password | The password of this mail account.


 Templates Setup

Easy File Sharing Web Server version 1.2 uses a powerful templating system that keeps the server code separate from the HTML code and gives you complete freedom to customise your forum the way you want it.

To change the forum style, select the template, then click the 'Change' button.

You can also customize all the template files of Easy File Sharing Web Server. Please be careful of modifying the following files:
table.txt
html.txt
content.txt
reply.txt
replytable.txt
listhtml.txt
listtable.txt
newmsg.txt
upload.txt
forumlist.txt
forumtable.txt
vfolderlist.txt
vfoldertable.txt
mailbody.txt
Because there are some keywords that cannot be modified in these files.

Note: Do not modify the following keywords:
%name
%href
%size
%date
%description
%author
%vfolder
%path
%title
%replies
%views
%lastpost
%lasttime
%prev
%next
%forumtitle
%forumid
%threads
%posts
%Lastpost
%Lasttime
%lasthref
%userid
%password
%TONAME
%FROMNAME
%FROMADDR
For more templates, please visit our web site: http://www.sharing-file.com/download.htm


 NT Service

Easy File Sharing Web Server/SSL Server can be run as a service on Windows NT4/2000/XP/2003.(Not for Win9x/Me). The service enables you to have the Web Server/SSL Server active even when you're not logged into Windows.

To start Easy File Sharing Web Server as a service, you first need to install it as a service.
To install the Web service, just click the button 'Install Service'. Once this is done you can view the "Easy File Sharing Web Service" service by opening the Services window (in the Control Panel, hidden in "Administrative Tools" on Windows 2000).

To uninstall the service, just click the button 'Uninstall Service'.

To start the service, just click the button 'Start Service'. You can also start the service by opening the Services window (click "Control Panel" -> "Administrative Tools" -> "Service" -> "Easy File Sharing Web Service").

To stop the service, just click the button 'Stop Service'. You can also stop the service by opening the Services window (click "Control Panel" -> "Administrative Tools" -> "Service" -> "Easy File Sharing Web Service").

Start the Web Server when Start Service
if checked, the web server will start when the Service starts. If you don't want the web server to run when the Service starts, you can uncheck it.

Start the SSL Server when Start Service
if checked, the SSL server will start when the Service starts. If you don't want the SSL server to run when the Service starts, you can uncheck it.

Easy File Sharing Web Service logs most run results to its own fswsService.log files, in the Easy File Sharing Web Server installation folder. You can view the web logs details in the log folder within the installation folder.

Note: If you install and start the "Easy File Sharing Web Service" successfully, You do not need to run the Easy File Sharing Web Server program file. (fsws.exe).


 Virtual Folders

The Virtual Folders page is where you can configure a Virtual Folders(Directories)'s Alias, Physical path, and permissions.

Adding Virtual Folders
To create a Virtual Folder, click the 'Add...' button, then a new window will pop up. Select a directory(Physical path) for this Virtual Folder, then enter the desired forum alias(name) and it's description in the text box on the new window, and click 'OK' button.

Editing Virtual Folders
To edit a Virtual Folder, first select a Virtual Folder you want to edit, then click the 'Edit...' button and then a new window will pop up.Here you may adjust the following settings:

Physical path - This is the Physical path of the virtual folder.
Alias - the alias of the virtual folder. This will appear as a virtual folder name on virtual folder html page. For example:If the alias is 'downloads', you can view the virtual folder by inputting the URL http://127.0.0.1/downloads on the web browser.
Description - Describes the virtual folder. This is the smaller text that appears under each virtual folder on the virtual folders index html page.
Permissions- The virtual folder permissions. Here you can control who can download and upload in this virtual folder only by clicking the corresponding check box. There are three simple permission levels(Guest, User, Power User) in Easy File Sharing Web Server 1.2. For more information, see User Account.
You can also grant specific access to specific users by clicking the 'Add...', 'Edit...' and 'Delete' button.

Please note that the access right of specific user has higher priority than the access right of his permission level, for example:
'Jessica' is a user whose permission level is 'Power User', 'Power User' have right to download/upload files from/to Virtual Folder 'Disk_D'. If we don't want 'Jessica' to have right to upload files to 'Disk_D', just add 'Jessica' to Specific Users List and make the status of Allow Upload 'No'.

Note:
1.User can also delete the files that he has ever uploaded if he has right to upload files.
2.User can also create/delete sub-folders in virtual folders if he has right to upload files.

You may limit the amount of disk space that users consume for the virtual folder, Easy File Sharing Web Server will keep track of uploads, and file deletions to calculate a running total of current disk usage. Please input a value in 'Disk Quota' ( 0 means unlimited quota ), and the server will then keep track of any future activity.

Deleting Virtual Folders
To delete a virtual folder, first select a virtual folder you want to delete, then click the 'Delete' button.

On virtual folder page, you can also add/edit description to a selected file in a virtual folder only by inputting file description on the bottom and clicking the 'save' button.


 Forums

The Forums page is where most forum configuration is done. Here you will configure a forum's name, description, and permissions.

Adding Forums
To create a new forum, click the 'Add...' button on the top, then a new window will pop up. Enter the desired forum name and it's description in the text box on the new window, and click 'OK' button.

Editing Forums
To edit a forum, first select a forum you want to edit, then click the 'Edit...' button on the top and then a new window will pop up. Here you may adjust the following settings:

Forum Name - This is the name of the forum. (e.g. General Chat, Movie Reviews, Sports, etc.)
Description - Describes your forum. This is the smaller text that appears under each forum name on the Forum Index.
Permissions- The forum permissions. Here you can control who can read(download) and post(upload) in this forum only by clicking the corresponding check box. There are three simple permission levels(Guest, User, Power User) in Easy File Sharing Web Server 1.2. For more information, see User Account.
You can also grant specific access to specific users by clicking the 'Add...', 'Edit...' and 'Delete' button.

Please note that the access right of specific user has higher priority than the access right of his permission level, for example:
'Jessica' is a user whose permission level is 'Power User', 'Power User' have right to download/upload files from/to Forum 'Photo gallery'. If we don't want 'Jessica' to have right to upload files to 'Photo gallery', just add 'Jessica' to Specific Users List and make the status of Allow Upload 'No'.

Deleting Forums
To delete a forum, first select a forum you want to delete, then click the 'Delete' button on the top.

On forum page, you can also add threads to a forum, edit a thread of a forum and delete threads from a forum.

Adding Threads
To add a new thread to the selected forum, click the 'Add...' button on the threads frame, then a new window will pop up. Enter the desired thread title and it's author in the text box on the new window, and click 'OK' button.

Editing Threads
To edit a thread in the selected forum, first select a thread you want to edit, then click the 'Edit...' button on the threads frame and then a new window will pop up. Here you may adjust the following settings:

Title- This is the title(topic) of the thread.
Author- This is the author who post the thread.
Time- This is the time when the thread is first posted.
Message- This is the messages in the thread, you can add/update/delete the message by clicking the corresponding button.

Deleting Threads
To delete a thread from the selected forum, first select a thread you want to delete, and then click the 'Delete' button on the threads frame.


 User Account

This page will allow you to add/edit/delete users on the forums and virtual folders.

Easy File Sharing Web Server 1.2 is based on a user system. When a user is logged in, his/her username will be shown with each post he/she makes.

Adding Users
To add a user, click the 'Add...' button, then a new window will pop up. Enter the userid(username), password and email in the text box on the new window, and click 'OK' button. The user can use this username and password to login.

Note: if you check the 'Remote administrator' box, this user account will be permitted to add/delete/edit the user accounts from other computers, and this user can also delete the files that were uploaded by other users.

When you login with the 'remote administrator' account, you can click the 'Remote admin' link to administer the user accounts.

User can also register a username when he first visits the site. To do this, click the small 'I want to register' link at the login page.

Editing Users
To edit a user information, first select a user you want to edit,then click the 'Edit...' button and then a new window will pop up. Here you may adjust the following settings:

UserID - This is the UserName.
Password- The password of the username.
Email - A valid email address of the user.
Level- The user level. There are three user levels in Easy File Sharing Web Server:

Guest:The user is a only guest, the unregistered user(login as a visitor) is also as Guest. They have only download permission by default. You can adjust their permissions in a forum/virtual folder.

User:The user is a registered user. They have download/upload permission by default. You can adjust their permissions in a forum/virtual folder.

Power User:The user is a registered user. They have download/upload permission by default, you can grant more permissions to them than to User. You can adjust their permissions in a forum/virtual folder.

State - The current state of a user. When the state is 'Disable', that user may no longer login to the forum/virtual folder. When they login, they will be informed that they do not have permission to access the page.

User can also edit his user information when he visits the forums/virtual folders. To do this, click the small 'User setting' link at the top of any page.

Deleting Users
To delete a user, first select a user you want to delete, then click the 'Delete' button.

Option
There are three options for you to choose when creating/registering a new account.

None:
Do nothing when creating/registering a new account.

Specify an existing virtual folder for this account:
Specify an existing virtual folder for new account when creating/registering a new account.

Create a new virtual folder for this account:
Create a new virtual folder named with the account name for this account when creating/registering a new account.
You must select a parent folder for this new virtual folder, and the new virtual folder will be created in this folder.
You can set disk quota for this new virtual folder, 0 means unlimited quota.
You can also grant 'download/upload' permission to the new account only for this new virtual folder.


 Security

For security reasons, we must ban IP Address. This page allows you to set IP filter using three modes:

Do not use IP Filter - This means Easy File Sharing Web Server do not ban any IP Addresses.

Do not accept connections from specified IP addresses - When an IP is added into this filter list, the server's content will be blocked from any connection coming from that IP.

Accept connections only from specified IP addresses - The server accepts connections only from the IP Addresses that listed in this filter list.

To add IP Address to the corresponding filter list, simply click the 'Add...' button and a new window will pop up, input the IP Address on the new window and press 'OK' button.
You may also ban multiple IPs using ranges and wildcard characters, to ban all IPs that begin with 192.168, simply input 192.168.*.* on the new window.

To edit IP Address to the corresponding filter list, simply click the 'Edit...' button and a new window will pop up, edit the IP Address on the new window and press 'OK' button.

To remove a IP Address in this filter list, first select a IP Address you want to delete, then click the 'Remove' button.


 Online Users

This page will show all the online users information, including Session ID, User Name, IP Address and Last Access Time. To break the session, first select the session you want to break, then right click the list box and click the menu item "Break this session".


 SSL Support

Easy File Sharing Web Server is available in 2 different editions to ensure you get the file sharing solution you're looking to use. a Standard edition that meets most people's needs, a Secure edition has a SSL Server for most companies that require encrypted transfers.

The SSL Server is based on SSLeay/OpenSSL, it enables secure transport of data to and from the web server to the client browser. This makes it almost impossible for anyone to spy on passwords, bank accounts etc. send over the internet.

About server certificate

In order to use SSL Server as a secure server you need a private key and a server certificate. Such a certificate is normally issued by a Certificate Authority (CA in short). There are a lot of CA's out there. Probably the most wellknown are Thawte and VeriSign.
If you want to use Easy File Sharing Web Server in a production environment you will need such a CA issued server certificate. However you do not need to buy a real certificate. You can either make your own self-issued certificate, or you can use our self-issued certificate which is enclosed in the Easy File Sharing Web Server.

How do you create your own self-issued certificate and private key?

Quite easy in fact. Just run the makecert.bat (makecert_128.bat) file and answer the questions in the process (the makecert.bat file is in the installation folder of Easy File Sharing Web Server, the default path is c:\Program Files\Easy File Sharing Web Server). Remember that the "Common name" asked should be the website address for which you want to use SSL. If you are running the SSL Server locally you should put "localhost" in this field. If you type anything other than the site address your browser will issue a "The name on the security certificate does not match the name of the site". Of course, this warning can be ignored. The result from makecert.bat is your private key file (ServerKey.pem) and your self-issued certificate (ServerCert.pem). both files will be created in the installation folder of Easy File Sharing Web Server. After that you can restart the SSL Server and the SSL Server will use your own certificate.

Note: The makecert_128.bat makes a 128-bit key and certificate. This certificate can only be used by 128-bit client browsers. Therefore you might exclude some Internet users who are using the lower version of browser such as IE 4.0.

How do you get a real certificate issued by a known CA ?

If you want to use Easy File Web Server SSL Edition for serving a live website, you absolutely must consider getting a real certificate. Although the self-issued certificate which comes with Easy File Sharing Web Server can do the job, it is not recommendable. The users browsing your site will get a warning each time saying that the certificate is not trusted by a known CA and that could scare them away.

Obtaining a certificate is not too hard a task though. All you need to do is make a Certificate Request file (CSR) and then send this file to a Certificate Authority (CA) of you own choice.
You can generate a CSR with the makecsr.bat (makecsr_128.bat) file (the makecsr.bat file is in the installation folder of Easy File Sharing Web Server). Just run the makecsr.bat file and answer the questions asked. This time it is very important that you fill in the "Common name" correctly, if not you will not be able to use the certificate for your site. Also it is very important, that you save the efsws_key.pem file with was created in the process. Without this file, and the password supplied in the process, you cannot use the CA issued certificate.
Once you have your request file (efsws_req.pem) you just need to send it to a CA of your choice. Since every CA has their own rules on how to request a certificate, I cannot give a general method. Instead you need to go to the website of the CA and see how they want you to proceed. Remember, that you must get a certificate on the PEM format, not DER.

Note: The makecsr_128.bat file makes a request for a 128-bit certificate. Have your clients in mind before requesting a certificate, since 40-bit clients cannot communicate with a 128-bit server.

Thawte certificate URL:
http://www.thawte.com/

VeriSign certificate URL:
https://www.verisign.com/

Both sites has extensive information about SSL and certificates. You might want to read this information before deciding to buy a certificate. You can also get a trial certificate from many CAs. That way you can try before you buy.


Frequently Asked Questions

  • I'm receiving the following error when I start Easy File Sharing Web Server: 'Error starting the Web Server. This may be due to another service running on the port...' ?
  • I login to the server with my account I created, but when I access some pages, I can only get the 'no permission' page.
  • Why my friends cannot see the files on my computer from their computers in their homes?
  • Does this software support any other web browsers such as Netscape?
  • Does Easy File Sharing Web Server support SSL?
  • How to generate a self-issued certificate for SSL Server?
  • Do I need to install any other servers such as IIS or Apache first?
  • I was running IIS on my computer, can I run this program on the same computer too?
  • Is there a way to download multiple files at a time?
  • I'm using Easy File Sharing Web Server on a LAN, my colleagues can visit my URL, but my friends cannot visit it through internet.
  • How to use Easy File Sharing Web Server behind a router?
  • The program cannot send the login information to users, how can I do?
  • How can I use it on Mac or Linux?
  • Does my computer need to be on-line?
  • What is the largest file size that I can upload to Easy File Sharing Web Server?
  • Do I need a domain for Easy File Sharing Web Server?
  • How to make a backup of Easy File Sharing Web Server?
  • How can I disable guest login?
  • I don't want to let guest register, what should I do?
  • I have more questions, where can I get additional information?

I'm receiving the following error when I start Easy File Sharing Web Server: 'Error starting the Web Server. This may be due to another service running on the port...'.
This is Server reporting that there is another application using Port 80. There are two ways around this. First find the application and shut it down. Please see if you are running IIS. The second solution is to choose another port number such as 81, 808, 2000, 5060, etc. Just change it on the option page and click the 'restart' button again.

I login to the server with my account I created, but when I access some pages, I can only get the 'no permission' page?
First, please note that the cookies of your browser must be enabled.
How to enable cookies?

INTERNET EXPLORER 5.0
1. Select the "Tools" menu
2. Select "Internet Options..."
3. Click on the "Security" tab
4. Select the "Internet" icon
5. Click the "Custom Level..." button
6. Set the "Allow per-session cookies (not stored)" option to "Enable".

INTERNET EXPLORER 6.0
1. Select the "Tools" menu
2. Select "Internet Options..."
3. Click on the "Privacy" tab
4. Lower the setting to "Medium".

Then make sure that you have set the permissions for forums and virtual folders correctly. If your User ID has right to access the page, please click the 'refresh' button of IE to refresh this page, it is possible that the page you are viewing is the IE cache file. Another possibility is that the session between browser and server is dead, please close the browser window and re-open a new one to login.

Why my friends cannot see the files on my computer from their computers in their homes?
First, please connect to internet before you run this program, then check if your friend's computer can access your computer directly. Tell your friend to ping the IP address of your computer. Please tell him to open a ms-dos command window. Then type 'ping 169.254.123.179' and then press the 'enter' key. we suppose 169.254.123.179 is the internet IP address of your PC. If your friend can only see 'Request timed out' on his computer, it means that your friend cannot access your computer directly at all. There could be a firewall software on your computer, which blocks all outside requests. Please configure the firewall to enable the port number of Easy File Sharing Web Server or allow Easy File Sharing Web Server to respond outside requests.

For example: If you use ZoneAlarm as your firewall, you need to add Easy File Sharing Web Server to the programs list of ZoneAlarm and set the permission for Easy File Sharing Web Server to allow all:

1. Select Program Control|Programs.
2. Click the Add button and select "efsws.exe".
3. Click the permission symbol you want to change, then select Allow from the shortcut menu. Allow all for Easy File Sharing Web Server.

If you are a Windows XP user, please disable Internet Connection Firewall (ICF) or manually open ports in ICF in Windows XP. To manually open a port, follow these steps:
1. Click Start, and then click Contral Panel.
2. Under Contral Panel, click Network Connections.
3. Right-click the connection that you use for the Internet, and then click Properties.
4. Click the Advanced tab, and then click Settings.
5. Click Add to open a new port (If your installed SP2, please first click Advanced tab, and then click Settings under Network Connection Settings).
6. In the Description box, type Easy File Sharing Web Server : Port 81.
7. In the Name or IP address of the computer hosting this service on your network box, type 127.0.0.1.
Note You can specify the IP address of an internal computer. But you typically will use 127.0.0.1.
8. In the External port and Internal port boxes, type the port number of Easy File Sharing Web Server 81. Generally, this number is the same.
9. Click TCP, and then click OK.

If you connect to internet via a router, please click here.
If your computer on a LAN, please click here.

Does this software support any other web browsers such as Netscape?
It supports Internet Explorer, Mozilla, Netscape, Opera, etc. It also supports most download managers which support multi-thread downloading with resuming capability, such as Getright, FlashGet, Download Accelerator, etc.

Does Easy File Sharing Web Server support SSL?
Yes, The Secure Edition supports 128 bit SSL Encryption, this makes it almost impossible for anyone to spy on passwords, bank accounts etc. send over the internet.

How to generate a self-issued certificate for SSL Server?
To create your own self-issued certificate and private key, just run the makecert.bat file in the installation folder of EFS. Please see the help file for details.

Do I need to install any other servers such as IIS or Apache first?
No, Easy File Sharing Web Server is completely standalone and does not rely on any other programs. you do not need to install any other web servers such as IIS, Apache, Pws and Tomcat on your computer.

I was running IIS on my computer, can I run this program on the same computer too?
Yes, of course. You may change the default Port Number of this program.

Is there a way to download multiple files at a time?
Yes, Easy File Sharing Web Server supports it, but the browser does not support it. We recommend you use some download managers such as flashget, it supports downloading all files at a time ( right click on the html page and select the menu item 'Download all by Flashget' ).

I'm using Easy File Sharing Web Server on a LAN, my colleagues can visit my URL, but my friends cannot visit it through internet.
Because you IP address can just work on your LAN, it's not an internet IP address, so others outside from the internet cannot visit your web site. To let them visit your computer, please make your computer connect to internet directly via a modem, ISDN, ADSL and so on. Otherwise, you need to redirect the port on your LAN internet server(gateway) with some TCP/IP port redirectors such as PortTunnel.

How to use Easy File Sharing Web Server behind a router?
You need to forward requests from the router on port 80 (or the port you use) to the computer ip running Easy File Sharing Web Server.
If your computer's INTERNAL IP is 192.168.0.11, please log into your router with a web browser, then enter the port number 80 and the IP 192.168.0.11 on the web page (suppose that you set port 80 for Easy File Sharing Web Server), and then people outside can access your files. Please note do not tell 192.168.0.11 to your friends directly because it is a LAN IP address. You should tell an internet IP address to your friends so they can access your files on the internet. To find the internet IP address of your computer, please visit: http://www.whatismyip.com/
For more information, please read the router documentation of your router to learn how to configure it. Each router has its own configuration method and this configuration method is often called 'Port Forwarding, port mapping'.

Settings for popular hardware routers :
Port Forwarding on the Linksys Cable/DSL Router - Single Ports (1.2x older firmware)
Port Forwarding on the Linksys Cable/DSL Router - Port Ranges (1.3x newer firmware)
Port Forwarding on a D-Link 704P DSL/Cable Router
Port Forwarding on an Asante FR3000 DSL/Cable Router

The program cannot send the login information to users, how can I do?
You need to configure the SMTP setting correctly.

How can I use it on Mac or Linux?
No, Easy File Sharing Web Server currently can only run on Windows system, however, from a client side, it is available to any Windows, Mac, Linux or Unix environment.

Does my computer need to be online?
Yes. Otherwise your friends cannot connect to your computer and get files from your computer.

What is the largest file size that I can upload to Easy File Sharing Web Server?
It is limited to 2 GB size.

Do I need a domain for Easy File Sharing Web Server?
No, you don't have to. Just tell the visitors IP Address of your computer. If you have a dynamic IP address that changes every time you connect to the Internet, please use our Free Dynamic Domain Name Services and get a name like http://you@www.echatserver.com. You can also register a dynamic domain at www.dyndns.org or www.no-ip.com for your computer.

How to make a backup of Easy File Sharing Web Server?
To backup all the data of Easy File Sharing Web Server, just backup the entire installation folder of Easy File Sharing Web Server.

How can I disable guest login?
To disable guest login, just clear the 'enable guest to login' checkbox on 'options' page.

I don't want to let guest register, what should I do?
To disable user registration, just clear the 'enable guest to register a new account' checkbox on 'options' page.

I have more questions, where can I get additional information?
Please send your questions to support@sharing-file.com.


 Technical Support

Check our Frequently Asked Questions. Most likely your question or problem is already answered there. If it is not, or if you just need more help, then e-mail Support@sharing-file.com and let us help you.

sales@sharing-file.com
If you have order problems or questions, please let us know.
If you lost your registration code, let us help you. Please include your name, address, email address, and order confirmation number (if you have it). We will be happy to help you.

support@sharing-file.com
If you encounter any problems in using of our products, you may email us.

comment@sharing-file.com
Any comments about our program are welcome. We will make it better with your help.

macrogu@yahoo.com
If you failed to contact us with the above E-mails, try this one.

You can always download the latest version of Easy File Sharing Web Server at http://www.sharing-file.com


 Registration
Easy File Sharing Web Server is available for a 15-day evaluation. During this trial period, Easy File Sharing Web Server will operate as the Secure Edition. If you would like to continue using Easy File Sharing Web Server after your evaluation, you should register.

Registration benefits:
Remove the limitation;
Get free upgrades for the edition you have purchased;
Get free technical support.

Easy File Sharing Web Server Standard Edition
The Standard Edition is designed to be the file sharing solution for most businesses and individuals. The SSL Server is disabled for Standard Edition.
Pricing: $45.95

Buy now at eMetrix.com
Buy now at RegSoft.com

Easy File Sharing Web Server Secure Edition
The Secure Edition is designed to be the file sharing solution for most businesses that require encrypted transfers. The Secure edition has the same feature set as the Standard Edition with the only exception being added SSL Server.
Pricing: $99.95 Now on sale for just $79.95!

Buy now at eMetrix.com
Buy now at RegSoft.com

Easy File Sharing Web Server Upgrade
Any registered user can upgrade his Easy File Sharing Web Server from Standard Edition or earlier version 1.2x to Secure Edition at any time.
If you want to order the upgrade, please contact our Sales Department with your order ID and registration code.

What happens after I send in the order?
You will receive an email confirming your order shortly after sending the online order form. Then, within 24 hours, you will receive a second email with your user name, registration code, and instructions to get started!

We accept bank cards (Visa, American Express, MasterCard, Discover/Novus, Eurocard), phone/fax order,check/money order and purchase order.

If you can not buy from the above link or you have any other questions about buying, please feel free to E-mail us: sales@sharing-file.com